extends Control

@onready var progressbar = $ProgressBar

func init(max_health : int):
	progressbar.max_value = max_health
	progressbar.value = max_health

func set_absolute(new_health : int):
	progressbar.value = new_health

func set_relative(rel_health : int):
	progressbar.value += rel_health
